﻿input.CreatePlus
{
	background: url("icons/svg/add.svg") no-repeat scroll 0 0 transparent;
	font-size: 1em;
	color: transparent; /* Fix for Firefox */
	border-style: none;
	border-width: 0;
	text-align: left;
	width: 21px;
	height: 21px;
	line-height: 1 !important;
	overflow: hidden;
	cursor: pointer;
	padding: 6px;
	margin: -2px 0 0 5px;
    vertical-align: middle;
}

input.CreatePlusPublic
{
	background: url("icons/svg-Gray/add.svg") no-repeat scroll 0 0 transparent;
	font-size: 1em;
	color: transparent; /* Fix for Firefox */
	border-style: none;
	border-width: 0;
	text-align: left;
	width: 20px;
	height: 20px;
	line-height: 1 !important;
	overflow: hidden;
	cursor: pointer;
	padding: 6px;
	margin: -2px 0 0 5px;
    vertical-align: middle;
}

input.DisabledCreatePlus
{
	background: url("icons/disabled-icon-add.gif") no-repeat scroll 0 0 transparent;
	font-size: 1em;
	color: transparent; /* Fix for Firefox */
	border-style: none;
	border-width: 0;
	text-align: left;
	width: 20px;
	height: 20px;
	line-height: 1 !important;
	overflow: hidden;
	cursor: pointer;
	padding: 6px;
	margin-left: 15px;
}

#BCCalc-Partial-View div.projectGridButton 
{
    cursor: pointer;
    color:  #41A7C4;
    display:inline-block;
    margin-left:10px;
    font-size: 18px;
}

#BCCalc-Partial-View div.projectGridButton:first-of-type{
    margin-left:0px;
}

#BCCalc-Partial-View div.projectGridButton.disabled 
{
    opacity: 0.4;
    cursor: default;
}

.projectButtons input 
{
	margin: 0 10px 0 0;
    position: relative;
    top: 0px;
}

.projectButtons a 
{
    display: inline-block;
}

.projectButtons a.disabled .bcIcon
{
    opacity: 0.4;
    cursor: default;
}

.projectButtons a:hover 
{
    background: none;
}

div.projectButton
{
    display: inline-block;
    font-size: 21px;
    cursor: pointer;
    color:  #41A7C4;
    margin-right: 10px;
    width: 21px;
    height: 21px;
}

#zoomAction {
  position: absolute;
  bottom: 0;
  right: 0;
  margin-bottom: 10px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

#zoomAction div.projectButton
{
    display:block;
    margin-bottom:10px;
}

#zoomAction #btnSlopeToggle {
    margin-bottom: 20px;
    padding-right: 35px;
}

.DrawingWithIcons {
  width: 95%;
}

div.validationIcon span.bcIcon
{
    display: inline-block;
    color:  #41A7C4;
    margin-right: 2px;
    margin-bottom: -3px;
}

div.projectButton:focus 
{
    border: 1px solid #7ac0da;
}

div.projectButton.disabled 
{
    opacity: 0.4;
    cursor: default;
}

div.projectButtonsCat 
{
    display: inline-block;
}

div.projectButtonsCat:not(:last-of-type):after 
{
    content: "";
    display: inline-block;
    width: 1px;
    height: 21px;
    background-color: #ccc;
    margin-right: 10px;
}
/*input[type='button'].btnClose
{
	background-color: #8f8e8e;
    border: 1px solid #8f8e8e;
    border-radius: 1px;
	color: white;
    font-size: 16px;
    font-weight: normal;
    height: 34px;
	min-width: 116px;
}

    input[type='button'].btnClose:hover 
    {
        border: 1px solid #000;
    }

    input[type='button'].btnClose:active 
    {
        background-color: #CCCCCC;
        color: #b6b4b4;
    }*/

a.btnSave:hover
{
	text-decoration: none;
}

a.btnSave
{
	font-size: 1.2em;
	font-weight: 600;
	padding: 4px;
	text-align: center;
	margin-right: 8px;
	display: inline-block;
}

/*a.btnSave,
input[type='button'].btnSave,
input[type='submit'].btnSave
{
	background-color: #B73922;
    border: 1px solid #B73922;
    border-radius: 1px;
    font-size: 16px;
    font-weight: normal;
	color: white;
    height: 34px;
	min-width: 116px;
}

a.btnSave:hover,
input[type='button'].btnSave:hover,
input[type='submit'].btnSave:hover
{	
    border: 1px solid #000;
}*/

.panel-header .panel-title
{
    height:50px;
	padding: 15px;
    border-bottom: 1px solid #e5e5e5;
}

.panel-header.window-header
{
    border-bottom: hidden;
}

.modalheader
{
	padding: 15px;
    border-bottom: 1px solid #e5e5e5;
    overflow: auto;
}

.panel-header .panel-title,
.modalheader h2
{
	color: #B73922;
	font-size: 16pt;
	font-weight: bold;
	margin: 0;
}

h2.modalheader
{
	color: #B73922; /*Temporary until all modals use same structure*/
    border-bottom: 1px solid 
}

.modalbody
{
	padding: 15px 15px 5px 15px;
    outline: none;
    border-bottom: 1px solid #e5e5e5;
    overflow: hidden;
}

.modalbody label
{
	text-align: left;
}

.modalfooter
{
	float: left;
	padding: 15px;
    overflow: auto;
    width: 100%;
    text-align: right;
}

.modalfooter .btnClose
{
	margin-right: 10px;
}

#projectInfoWindow label
{
	margin-top: 5px;
}

hr.line
{
	margin: 10px 0px;
	border-top: 1px solid #e5e5e5;
	width: 99.2%;
	clear: both;
}

.successMessage
{
	color: green;
	font-size: medium !important;
	font-weight: bold;
	padding-left: 0.75em;
	text-align: inherit !important;
}

.emptyBuilderMessage
{
	color: orange;
	display: block;
	font-weight: bold;
	text-align: left !important;
}

.VMDlink
{
    display: inline-block;
	font-weight: bold;
	background-color: #e2e2e2;
	width: auto;
	text-align: center;
	padding: 6px;
	text-decoration: none !important;
	font-size: 1.2em;
	margin-right: 8px;
    vertical-align: middle;
}

.VMDlink:hover
{
	background-color: #e2e2e2;
	text-decoration: none !important;
}

#BCCalc-Partial-View div.projectGridButton:first-of-type{
    margin-left:0px;
}
#BCCalc-Partial-View div.projectGridButton.disabled 
{
    opacity: 0.4;
}